Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.gradle.testing.jacoco.plugins
[Groovy] Class JacocoTaskExtension

    java.lang.Object
      org.gradle.testing.jacoco.plugins.JacocoTaskExtension

    @Incubating
    class JacocoTaskExtension

Extension for tasks that should run with a Jacoco agent to generate coverage execution data.

Nested Class Summary
`enum` | `JacocoTaskExtension.Output` The types of output that the agent can use for execution data.

Property Summary
`String` | `address` IP address or hostname to use with Output#TCP_SERVER#TCP_SERVER or Output#TCP_CLIENT#TCP_CLIENT.
`JacocoAgentJar` | `agent`
`boolean` | `append` Whether or not data should be appended if the `destinationFile` already exists.
`File` | `classDumpFile` Path to dump all class files the agent sees are dumped to.
`File` | `destinationFile` The path for the execution data to be written to.
`boolean` | `dumpOnExit` Whether or not to dump the coverage data at VM shutdown.
`boolean` | `enabled` Whether or not the task should generate execution data.
`List` | `excludeClassLoaders` List of classloader names that should be excluded from analysis.
`List` | `excludes` List of class names that should be excluded from analysis.
`List` | `includes` List of class names that should be included in analysis.
`boolean` | `jmx` Whether or not to expose functionality via JMX under `org.jacoco:type=Runtime`.
`Output` | `output` THe type of output to generate.
`int` | `port` Port to bind to for Output#TCP_SERVER#TCP_SERVER or Output#TCP_CLIENT#TCP_CLIENT.
`String` | `sessionId` An identifier for the session written to the execution data.

Constructor Summary
`JacocoTaskExtension(JacocoAgentJar agent, JavaForkOptions task)` Creates a Jacoco task extension.

Method Summary
`String` | `getAsJvmArg()` Gets all properties in the format expected of the agent JVM argument.

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Property Detail

### address

    String address

  IP address or hostname to use with Output#TCP_SERVER#TCP_SERVER or Output#TCP_CLIENT#TCP_CLIENT. Defaults to localhost.

### agent

    JacocoAgentJar agent

### append

    boolean append

  Whether or not data should be appended if the `destinationFile` already exists. Defaults to `true`.

### classDumpFile

    File classDumpFile

  Path to dump all class files the agent sees are dumped to. Defaults to no dumps.

### destinationFile

    File destinationFile

  The path for the execution data to be written to.

### dumpOnExit

    boolean dumpOnExit

  Whether or not to dump the coverage data at VM shutdown. Defaults to `true`.

### enabled

    boolean enabled

  Whether or not the task should generate execution data. Defaults to `true`.

### excludeClassLoaders

    List excludeClassLoaders

  List of classloader names that should be excluded from analysis. Names can use wildcards (* and ?). Defaults to an empty list.

### excludes

    List excludes

  List of class names that should be excluded from analysis. Names can use wildcard (* and ?). Defaults to an empty list.

### includes

    List includes

  List of class names that should be included in analysis. Names can use wildcards (* and ?). If left empty, all classes will be included. Defaults to an empty list.

### jmx

    boolean jmx

  Whether or not to expose functionality via JMX under `org.jacoco:type=Runtime`. Defaults to `false`. The configuration of the jmx property is only taken into account if the used JaCoCo version supports this option (JaCoCo version >= 0.6.2)

### output

    Output output

  THe type of output to generate. Defaults to Output#FILE#FILE.

### port

    int port

  Port to bind to for Output#TCP_SERVER#TCP_SERVER or Output#TCP_CLIENT#TCP_CLIENT. Defaults to 6300.

### sessionId

    String sessionId

  An identifier for the session written to the execution data. Defaults to an auto-generated identifier.

Constructor Detail

### JacocoTaskExtension

    JacocoTaskExtension(JacocoAgentJar agent, JavaForkOptions task)

  Creates a Jacoco task extension.
  Parameters:
    `project` - the project the task is attached to
    `agent` - the agent JAR to use for analysis

Method Detail

### getAsJvmArg

    String getAsJvmArg()

  Gets all properties in the format expected of the agent JVM argument.
  Returns:
    state of extension in a JVM argument

Gradle API 1.10